# 5. E-Textiles and Wearables I


* Build at least one digital and one analogue soft sensors, using different materials and techniques.
* Document the sensor project as well as the readings got using the AnalogRead of Arduino
* Integrate the two soft sensors into one or two textile swatches using hard soft connections
* Document the circuit and it’s schematic
* Document your swatches
* Upload a small video of the swatches functioning
* EXTRA POINT Integrate the swatch into a project

## Basics, research, inspiration

I'm so excited about this week! I have worked with electronics before but have little experience with soft circuitry and e-textiles. So am very happy about the opportunity to learn more this week (by doing!). 

During this class I was in Copenhagen so I had to skip this assignment, but I'm catching up now. I had to miss some tutorials, but since I know electronics fundamentals from previous experience and [Fabacademy](https://fabacademy.org/archives/2015/eu/students/bogers.loes/06electronicsdesign.html), I mainly studied the (really helpful and clear!) materials provided by Liza Stark on the [class page](https://class.textile-academy.org/classes/week05/) and [Kobakant](https://www.kobakant.at/DIY/?cat=28). I've been obsessed with this website for years. It's so good. 

**Danish Krone Analog sensor by Plusea**

I found these swatches with the Danish Krone slide-switch/softpot by Plusea (Hannah Perner-Wilson) [here](https://www.instructables.com/id/Danish-Krown-Slide-Switch/). Since I was in Denmark this week, I kept a few of my Kroner to try it out!

**Bikini clip digital switch**

I went through my sewing kit looking for some textile related hardware that might be conductive. I found this nice bikini clip, check it with the multimeter and BOOM! Found my switch. 

**Other learning yearnings**

*Atmel ATtiny for programming*

I would like to try building and programming the circuit using an Atmel ATtiny85 chip instead of the bulky Arduino UNO. I have all the materials for it and would like to practice being able to solder such a chip onto textile. I use [Sparkfun's TinyProgrammer](https://www.sparkfun.com/products/11801) that I use with a [Pomona Test Clip](https://nl.farnell.com/pomona/5250/test-clip-8-pos-1-27mm-soj-soic/dp/2406243?st=pomona%20testclip) for surface mount attiny's, or just plug the DIP chip into the programmer if it has legs. I can also use one of my handmade [FabISPs](https://fabacademy.org/archives/2015/eu/students/bogers.loes/04electronicsproduction.html).

*Home-made and bought lilypad stuff lying around*

I previously used some of the [open source Lilypad designs](https://www.sparkfun.com/lilypad_sewable_electronics) by Leah Buechley and recreated them in our lab. It would be nice to reuse some of those, like the TinyLily's I made - using ATtiny chips - with the sewing holes, or the one with the snap-on buttons, or the little LED lights I made with on-board resistors. Oh and I even made some battery clips that I could use now! Let's see. I also have some Lilypad components I bought, like this buzzer. Oooh I want to work with the buzzer as an output. 

![]()

*Tools we want*

And I found [this page](http://toolswewant.at/category/tools/) via the Kobakant website where soft circuiteers imagine and share ideas for tools they'd like to have for their practice! Ohhhhh man that is so inspiring! Because I'm not a designer, but I do have maker skills and affinity with these kind of practices I've been thinking about the option of making tools during this course. On this page there are so many ideas! Some of them are built already, others are just sketches. 

I think I might be able to make a better contribution there because I enjoy solving problems, learning about technical stuff and working on concrete things. It gives me more grip on understanding *why* I'm doing something that makes me feel comfortable. This is my applied streak I suppose. I also love working with artists because they tend to make very weird problems to solve that I'd never come up with but that are very interesting to work on.

##Exploring conductive materials

###Understanding softpot basics

**Varying resistance across**

The basic idea of a (soft or hard) potentiometer is to align a very conductive material with one that has resistance, and designing a physical sliding connector that connects them across. The shape or design can be straight or round or even meandering as shown on this swatch from Kobakant: 

![]()*Embroidered potentiometer, screenshot from [Kobakant](https://www.kobakant.at/DIY/?p=2331)*

The sliding connector can be any conductive object or material. The further away you put the sliding connector - or: *conductive pointer finger* from the source, the more resistance there will be. If you know the the minimum resistance value and the maximum value, you can even map out pretty precise in-between states (as long as your resistive material increases in a linear way, not all materials behave like that).I started out with some conductive and some resistive thread and tried sewing some lines on my sewing machine. It has a lot of patterns preprogrammed and some of them are pretty nice! So I tried a few of those. 

Liza Stark's slides made things very simple. 

![]()*Screenshots of Liza's slides for reference, 2019*

**Tension and test traces**

I wanted to sew some test traces with resistive and conductive thread so I could measure how the resistance changed across (and perhaps consider a voltage divider). 

The resistive thread was ok to sew as long as I went very slowly (my machine has a limiter for this, called "langzaam naaien" that you can toggle on. Pretty nice. I also had to lower the tension a little. I learned that you can adjust the tension on top with the wheel on the left of my machine, and mine has a front loader spool on the bottom that has a little screw you can loosen or tighten to adjust the tension of the bottom thread. 

It wasn't easy to sew in one continuous line without breaking the thread, but I managed at least one lines. Especially when doing patterns it's annoying when it breaks because you break the pattern and will not be able to continue in exactly the right place. Disrupting the continuity of the patter you're trying to make.

The tension between the threads should be equal so each thread keeps to its own side of the fabric :) 

[INSERT VIDEO]

Sewing with the conductive thread was a lot harder to do! I didn't quite get the tension right but did sew a zig zag line which for testing purposes was enough. So I connected my multimeter, put it on the Ohm setting and put my Danish krone across to get some readings!

**Coated vs. uncoated conductive thread**

I thought I was crazy and/or my multimeter was broken because the readings were super erratic. After taking some distance from it (of course this was late in the evening) I realised the conductive thread may have been coated. This means it's still conductive – on the inside - but it's hard to connect to that conductive inside because there's an insulation layer around it. 

Cecilia and I tried to melt away a bit of coating from a piece of thread, using a lighter. After removing the coating on two sides I was able to get readings from a piece of thread. It's easy to break this thread while burning it though, it's so thin. I tried melting some off the stitch I'd already done, but this didn't really work. Also, I would need the stitch to be connecting to the slider all across (so I would need to undress the entire length). I drew the conclusion that uncoated conductive thread would probably be better for making this softpot.

**Sewing machine dramarama**

I found a new thread, barely got one stitch done....and then my machine broke. It has this thing with the pedal that it creates shorts sometimes, driving my machine cray cray. I will have to open it up and dust off the insides and check the connections or connect another pedal (I think I have one somewhere). Ok, well. I see how the basics will work. Moving on to designing the circuit for now. 

###Testing a bikini clip/switch

I found this metal bikini clip that I cut off a bikini once. It's really nice! My multimeter says I can use it (beep beep). Great! Off I go to prototype the digital circuit. Emma Pareschi, our electronics miracle worker at the Amsterdam lab provided us with the basic schematics that helped me quickly put together a circuit with a the digital switch and an LED. I'm not sure why she's opted for a pullup resistor here, maybe because the Arduino has an internal pullup so it's easy to switch between. But I'd say it makes more sense to use a pulldown that keeps the buttonState LOW unless pressed. I know you can change it in the code too, so whatever. But basically it would mean putting the resistor on the other end of the button, the one that connects to GND. @Emma can you explain why you use a pullup and not a pulldown? Does it matter?

##Building the digital circuit

###Using Arduino Uno

Prototyping this with an Arduino was a breeze. I started with a Blink sketch, and then added the code from the Button example

**Tone() for my buzzer**


```
CODE CODE CODE

```

###Using an ATtiny85 DIP

**Tools and instructions**

1. Chips need programmers: FabISP and/or Sparkfun's TinyProgrammer
1. Drivers and installs
1. Choosing settings in the Arduino IDE
1. Connecting and programming the chip (orientation matters)
1. Breadboarding with a chip
1. Using the programmer as a prototyping board
1. Disconnect when uploading new code!

**no Tone() for ATtiny - stealing some code**

I was not getting any sounds from my ATtiny circuit. I double checked the wiring and code, but it seemed like it should work exactly the same. So I started using the Google and found [*Technoblogy* by David Johnson-Davies](http://www.technoblogy.com/show?20MO) who documents lots of experiments and projects using ATtiny chips, including one where he's found a way to use an ATtiny85 with a buzzer. Thank you David!

This code is a bit lower level, programming the chip directly instead of using a library that obscures what is actually happening from the average user's view. I've been able to figure out what is happening in some parts, but will have to ask Emma to help interpreting the note() function he wrote. I was still able to use it though, so moving on....


```
/*

Code from http://www.technoblogy.com/show?20MO

Playing Notes on the ATtiny85
31st January 2018

This article describes a simple function for playing notes on the ATtiny85. 
I've called this function note, and it can be used to play notes on the ATtiny85 pins 1 or 4.

The note function uses Timer/Counter1 in the ATtiny85, 
leaving Timer/Counter0 free for delay() and millis(). 
It doesn't use interrupts, so the sound output is unaffected by other interrupt-driven processes, 
and it includes a lookup table for the well-tempered scale divisors, so you don't need to remember frequency values.

It's an improved version of my earlier article Simple Tones for ATtiny. 
For a similar routine for the ATmega328 or ATmega32u4 see A Lightweight Alternative to tone.

The note function takes two parameters: 

    A note number, from 0 to 11, representing the note in the well-tempered scale,
    where 0 represents C, 1 represents C#, and so on up to 11 for B.
    The octave, which can be from 0 to 7 with a 1MHz clock, 
    0 to 10 with an 8MHz clock, 
    and 0 to 11 with a 16MHz clock.

*/

const int Output = 4;               // Can be pin 1 or 4

// Cater for 16MHz, 8MHz, or 1MHz clock:
const int Clock = ((F_CPU/1000000UL) == 16) ? 4 : ((F_CPU/1000000UL) == 8) ? 3 : 0;
const uint8_t scale[] PROGMEM = {239,226,213,201,190,179,169,160,151,142,134,127};

void setup(){

  }

void loop() {
  for (int n=0; n<=12; n++) {       //n = 12 is number of notes in octave. 
    note(n, 4);                    // start at note 4
    if (n!=4 && n!=11) n++;       // if note is not for and not 11 add one to n (plays 8 notes)
    delay(100);                   // delay between each note
  }
  note(0, 0);
  delay(1000);  // time in milliseconds before loop starts again
}

void note (int n, int octave) {
  int prescaler = 8 + Clock - (octave + n/12);
  if (prescaler<1 || prescaler>15 || octave==0) prescaler = 0;
  DDRB = (DDRB & ~(1<<Output)) | (prescaler != 0)<<Output;
  OCR1C = pgm_read_byte(&scale[n % 12]) - 1;
  GTCCR = (Output == 4)<<COM1B0;
  TCCR1 = 1<<CTC1 | (Output == 1)<<COM1A0 | prescaler<<CS10;
}
```


**USB disabled: shorts shorts shorts**

Computer kept complaining that the circuit is drawing too much power and the USB port had to be disabled. Oh craps. I had to do some debugging until I found the issues. Also the buzzer stopped buzzing and started behaving very erratically making shreeking sounds. 

*Potential problem #1:* 

The Lilypad buzzer is an inductive buzzer...

>[...] meaning that is will act as a short to ground if you are not actively driving it. We recommend you put both I/O pins to low (0V) when the buzzer is not used. [Lilypad Buzzer specs sheet](https://www.sparkfun.com/products/8463)

So I changed this in the code, by adding a ```digitalWrite(buzzerPin, LOW);``` 
command. If it wasn't the issue then it's at least good practice. 

*Potential problem #2:* 

Faulty wiring. I am shorting my circuit everything I connect the switch ends together because the switch is directly between VCC and GND. The + wire should be connected to VCC not directly, but via the 10K pullup resistor. Errrp my bad. This solved the issues though and I have a working circuit using the components I'd intended. Wahoo! Ready to start crafting it into a textile swatch.


###Powering the circuit

Now, powering this stuff with a USB cable (5V) is usually fine, but will it blend with say, a 3V coin cell, is what I want to know. The Lilypad Buzzer datasheet says yes, as the operating voltage should be 2.5-4.5V. The ATtiny85 datasheet says 1.8-5.5V for the ATtiny85V and 2.7-5.5V for the ATtiny85. So let's take the latter to be on the safe side. ([ATtiny85 Datasheet](https://html.alldatasheet.com/html-pdf/175195/ATMEL/ATTINY85/151/1/ATTINY85.html), and the [datasheet of the buzzer used on the Lilypad Buzzer](http://cdn.sparkfun.com/datasheets/Components/General/CCV-084B16-CUI-datasheet-29139.pdf)). Ok now that I know this I will try power the buzzer and IC with a 3V coin cell. Went back to simple tone sketch I stole, and...Success!


```
/*

Code from http://www.technoblogy.com/show?20MO

Playing Notes on the ATtiny85
31st January 2018

This article describes a simple function for playing notes on the ATtiny85. 
I've called this function note, and it can be used to play notes on the ATtiny85 pins 1 or 4.

The note function uses Timer/Counter1 in the ATtiny85, 
leaving Timer/Counter0 free for delay() and millis(). 
It doesn't use interrupts, so the sound output is unaffected by other interrupt-driven processes, and it includes a lookup table for the well-tempered scale divisors, so you don't need to remember frequency values.

It's an improved version of my earlier article Simple Tones for ATtiny. 
For a similar routine for the ATmega328 or ATmega32u4 see A Lightweight Alternative to tone.

The note function takes two parameters: 

    A note number, from 0 to 11, representing the note in the well-tempered scale,
    where 0 represents C, 1 represents C#, and so on up to 11 for B.
    The octave, which can be from 0 to 7 with a 1MHz clock, 
    0 to 10 with an 8MHz clock, 
    and 0 to 11 with a 16MHz clock.

*/

const int ledPin =  0;      // the number of the LED pin > has PWM
const int Output = 4;      // Can be pin 1 or 4

// Cater for 16MHz, 8MHz, or 1MHz clock:
const int Clock = ((F_CPU/1000000UL) == 16) ? 4 : ((F_CPU/1000000UL) == 8) ? 3 : 0;
const uint8_t scale[] PROGMEM = {239,226,213,201,190,179,169,160,151,142,134,127};

void setup(){
    pinMode(ledPin, OUTPUT);
  }

void loop() {
  for (int n=0; n<=12; n++) {       //n = 12 is number of notes in octave. 
    note(n, 4);                    // start at note 4
    if (n!=4 && n!=11) n++;       // if note is not 4 and not 11: add one to n (plays 8 notes)
    delay(100);                   // delay between each note
  }
  note(0, 0);

  digitalWrite(ledPin, HIGH);		//visual feedback from LED, to see if program runs
  delay(1000);  						// time in milliseconds before loop starts again
  digitalWrite(ledPin, LOW);
}

void note (int n, int octave) {
  int prescaler = 8 + Clock - (octave + n/12);
  if (prescaler<1 || prescaler>15 || octave==0) prescaler = 0;
  DDRB = (DDRB & ~(1<<Output)) | (prescaler != 0)<<Output;
  OCR1C = pgm_read_byte(&scale[n % 12]) - 1;
  GTCCR = (Output == 4)<<COM1B0;
  TCCR1 = 1<<CTC1 | (Output == 1)<<COM1A0 | prescaler<<CS10;
}
```


###Planning connections: digital switch

**Schematic of the circuit**

IMAGE HERE

**Design of the circuit**

IMAGE HERE

**hard/soft connection for an ATtiny chip**

How how how how?



**detachable buzzer**

It gets damaged if you wash it according to the [Lilypad buzzer specs] (https://www.sparkfun.com/products/8463)

****



##Building the analog circuit

###Using Arduino Uno


```
CODE CODE CODE

```

###Using an ATtiny85 DIP


###Planning the connections: Analog sensor

**Schematic**

**Design**

**Hard-soft connections**
